- Managed Planning Data Foundation
- Core Services
- Modify record data and/or metadata attributes using patch operations
The API represents the patch update mechanism for records. It allows updating multiple records in one request. The API supports metadata update only (Legal Tags, ACLs and Tags) if the request body media type is application/json. The API supports metadata and data update (Legal Tags, ACLs, Tags, Ancestry, Kind, Meta and Data) if the request body media type is application/json-patch+json. Please choose the appropriate media type from the Request body dropdown. The currently supported operations are replace, add, and remove. Required roles: users.datalake.editors or users.datalake.admins.
A list of records' unique identifiers in whole Data Platform. It indicates which records need to be updated. Record ids should follow the naming convention:{data-partition-id}:{object-type}:{uuid}."
{ "ids": [ "slb-osdu-prod-des-prod-testing:work-product-component--WellLog:a6d6-63fc9a0bbac1" ] }
[ { "op": "add", "path": "/acl/viewers", "value": [ … ] }, { "op": "replace", "path": "/legal/legaltags", "value": [ … ] }, { "op": "remove", "path": "/tags", "value": [ … ] } ]
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/storage/v2/records
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/storage/v2/records
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/storage/v2/records
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/storage/v2/records
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/storage/v2/records
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/storage/v2/records
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/storage/v2/records
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/storage/v2/records
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/storage/v2/records
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/storage/v2/records
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/storage/v2/records
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/storage/v2/records
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-storage-service/records
curl -i -X PATCH \
https://as5.api.enterprisedata.slb.com/api/storage/v2/records \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"query": {
"ids": [
"slb-osdu-prod-des-prod-testing:work-product-component--WellLog:a6d6-63fc9a0bbac1"
]
},
"ops": [
{
"op": "add",
"path": "/acl/viewers",
"value": [
"data.default.viewers@slb-osdu-prod-des-prod-testing.{domain}.com"
]
},
{
"op": "replace",
"path": "/legal/legaltags",
"value": [
"slb-osdu-prod-des-prod-testing-default-legal"
]
},
{
"op": "remove",
"path": "/tags",
"value": [
"dataflowId"
]
}
]
}'Records metaData updated successfully. All records' metadata was updated.
{ "recordCount": 0, "recordIds": [ "string" ], "notFoundRecordIds": [ "string" ], "unauthorizedRecordIds": [ "string" ], "lockedRecordIds": [ "string" ] }